import { Application } from './ast/application';
import { Identifier } from './ast/identifier';
import { Keyframes } from './ast/keyframes';
import { Let } from './ast/let';
import { Literal } from './ast/literal';
import { MediaQuery } from './ast/mediaQuery';
import { MediaQueryPredicate } from './ast/mediaQueryPredicate';
import { Mixin } from './ast/mixin';
import { Property } from './ast/property';
import { Rule } from './ast/rule';
import { RuleSet } from './ast/ruleSet';

export type Child = Rule | RuleSet | Application | MediaQuery | Mixin;
export type Value = Literal | Identifier | Application;
export type Node
  = Application
  | Identifier
  | Keyframes
  | Let
  | Literal
  | MediaQuery
  | MediaQueryPredicate
  | Mixin
  | Property
  | Rule
  | RuleSet

export * from './ast/application';
export * from './ast/binding';
export * from './ast/identifier';
export * from './ast/keyframes';
export * from './ast/let';
export * from './ast/literal';
export * from './ast/mediaQuery';
export * from './ast/mediaQueryPredicate';
export * from './ast/mixin';
export * from'./ast/property';
export * from './ast/rule';
export * from'./ast/ruleSet';
export * from'./ast/selector';

export interface Opts {
  depth: number;
  prettyPrint: boolean;
}
